# Contributing Guidelines
> Make sure that you read our [code of conduct](https://github.com/Eric-Mendes/pixel-art-map/blob/main/CODE_OF_CONDUCT.md) before contributing with anything. It ensures a fun and safe community for everyone!

Thanks for considering making this project even better! :sparkles:

It's because of people like you that the arts made with this tool keep getting better and better. Consider yourself a modern artist! :wink:

## How can I contribute
- You can file issues to report bugs, ask for enhancements or give our contributors a brand new idea on how to expand this project.
  - When opening a new issue, make sure that you follow the guidelines on how to do so;
- You can contribute with your really nice piece of code that will solve a bug, implement an enhancement or implement a brand new feature. 
You can also contribute with documentation (this is much appreciated, btw). To do so, please follow the instructions below.

## Gitflow
Whenever you want to contribute with code - whatever code it is - please make sure that you follow these rules (the same follows for documentation):
1. Create a new branch;
2. Test your code before commiting anything into it and opening the Pull Request (if you are submitting code);
3. Commit into your branch and open the Pull Request.
Please be specific and clear about what your code or documentation tackles. Styles and naming conventions are described below.

### Branch name & Commit message styles
- Name your branches like this example: `noun/my-branch`
- Make sure that your commit messages follow one of these patterns: 
  - `noun: my message`;
  - `noun(scope): my message` (*preferred whenever possible*)

**Note -** `noun` is either `fix`, `feat`, `test`, `chore`, `refactor`, `style` or `doc`.

Have fun!
